## r-bioc-rhtslib 1.16.1+dfsg

=== DESCRIPTION ===
Package: Rhtslib
Type: Package
Title: HTSlib high-throughput sequencing library as an R package
Version: 1.16.1
Authors@R: 
    c(person("Nathaniel", "Hayden", email="nhayden@fredhutch.org",
        role=c("led", "aut")),
    person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
        role="aut"),
    person("Bioconductor", "Package Maintainer",
        email="maintainer@bioconductor.org", role="cre"))
Description: This package provides version 1.7 of the 'HTSlib' C
    library for high-throughput sequence analysis. The package is
    primarily useful to developers of other R packages who wish to
    make use of HTSlib. Motivation and instructions for use of this
    package are in the vignette, vignette(package="Rhtslib", "Rhtslib").
License: LGPL (>= 2)
Copyright: Unless otherwise noted in the file, all files outside
        src/htslib-1.7 and inst/include copyright Bioconductor; for
        files inside src/htslib-1.7 or inst/include, see file
        src/htslib/LICENSE.
Imports: zlibbioc
LinkingTo: zlibbioc
Suggests: BiocStyle, knitr
StagedInstall: no
VignetteBuilder: knitr
URL: https://github.com/Bioconductor/Rhtslib, http://www.htslib.org/
BugReports: https://github.com/Bioconductor/Rhtslib
biocViews: DataImport, Sequencing
git_url: https://git.bioconductor.org/packages/Rhtslib
git_branch: RELEASE_3_9
git_last_commit: ec6cde4
git_last_commit_date: 2019-05-03
Date/Publication: 2019-05-03
NeedsCompilation: yes
Packaged: 2019-05-04 00:59:16 UTC; biocbuild
Author: Nathaniel Hayden [led, aut],
  Martin Morgan [aut],
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-rhtslib (1.16.1+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931394)

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2019 23:52:22 +0200

=== debian/control ===
Source: r-bioc-rhtslib
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-bioc-zlibbioc
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib.git
Homepage: https://bioconductor.org/packages/Rhtslib/

Package: r-bioc-rhtslib
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: HTSlib high-throughput sequencing library as GNU R package
 This package provides version 1.7 of the 'HTSlib' C
 library for high-throughput sequence analysis. The package is
 primarily useful to developers of other R packages who wish to
 make use of HTSlib. Motivation and instructions for use of this
 package are in the vignette, vignette(package="Rhtslib", "Rhtslib").

=== debian/watch ===
version=4
opts="downloadurlmangle=s?^(.*)\.\.?https:$1packages/release/bioc?,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://bioconductor.org/packages/release/bioc/html/Rhtslib.html .*/Rhtslib_(.*).tar.gz

## r-bioc-rhtslib 1.18.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rhtslib
 Type: Package
 Title: HTSlib high-throughput sequencing library as an R package
-Version: 1.16.1
+Version: 1.18.1
 Authors@R: 
     c(person("Nathaniel", "Hayden", email="nhayden@fredhutch.org",
         role=c("led", "aut")),
@@ -22,18 +22,20 @@
 Imports: zlibbioc
 LinkingTo: zlibbioc
 Suggests: BiocStyle, knitr
+SystemRequirements: libbz2 & liblzma & libcurl (with header files), GNU
+        make
 StagedInstall: no
 VignetteBuilder: knitr
 URL: https://github.com/Bioconductor/Rhtslib, http://www.htslib.org/
 BugReports: https://github.com/Bioconductor/Rhtslib
 biocViews: DataImport, Sequencing
 git_url: https://git.bioconductor.org/packages/Rhtslib
-git_branch: RELEASE_3_9
-git_last_commit: ec6cde4
-git_last_commit_date: 2019-05-03
-Date/Publication: 2019-05-03
+git_branch: RELEASE_3_10
+git_last_commit: 751a2eb
+git_last_commit_date: 2020-01-27
+Date/Publication: 2020-01-29
 NeedsCompilation: yes
-Packaged: 2019-05-04 00:59:16 UTC; biocbuild
+Packaged: 2020-01-30 02:10:28 UTC; biocbuild
 Author: Nathaniel Hayden [led, aut],
   Martin Morgan [aut],
   Bioconductor Package Maintainer [cre]

=== debian/changelog ===
r-bioc-rhtslib (1.18.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Tue, 04 Feb 2020 07:50:07 +0100

r-bioc-rhtslib (1.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Build-Depends: + libcurl4-openssl-dev

 -- Dylan Aïssi <daissi@debian.org>  Wed, 06 Nov 2019 08:22:21 +0100

r-bioc-rhtslib (1.16.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1

 -- Dylan Aïssi <daissi@debian.org>  Mon, 28 Oct 2019 12:29:10 +0100

r-bioc-rhtslib (1.16.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fixed debian/watch for BioConductor
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Repository.
  * Test-Depends: r-cran-rmarkdown, pandoc-citeproc
  * Deactivate autopkgtest since it needs not yet packaged r-bioc-biocstyle

 -- Andreas Tille <tille@debian.org>  Mon, 23 Sep 2019 15:01:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-bioc-zlibbioc
-Standards-Version: 4.3.0
+               r-bioc-zlibbioc,
+               libcurl4-openssl-dev
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib.git
 Homepage: https://bioconductor.org/packages/Rhtslib/

## r-bioc-rhtslib 1.20.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: Rhtslib
 Type: Package
 Title: HTSlib high-throughput sequencing library as an R package
-Version: 1.18.1
+Version: 1.20.0
 Authors@R: 
     c(person("Nathaniel", "Hayden", email="nhayden@fredhutch.org",
         role=c("led", "aut")),
@@ -30,12 +30,12 @@
 BugReports: https://github.com/Bioconductor/Rhtslib
 biocViews: DataImport, Sequencing
 git_url: https://git.bioconductor.org/packages/Rhtslib
-git_branch: RELEASE_3_10
-git_last_commit: 751a2eb
-git_last_commit_date: 2020-01-27
-Date/Publication: 2020-01-29
+git_branch: RELEASE_3_11
+git_last_commit: be2166d
+git_last_commit_date: 2020-04-27
+Date/Publication: 2020-04-27
 NeedsCompilation: yes
-Packaged: 2020-01-30 02:10:28 UTC; biocbuild
+Packaged: 2020-04-28 01:42:48 UTC; biocbuild
 Author: Nathaniel Hayden [led, aut],
   Martin Morgan [aut],
   Bioconductor Package Maintainer [cre]

=== debian/changelog ===
r-bioc-rhtslib (1.20.0+dfsg-1build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 14:06:22 +0000

r-bioc-rhtslib (1.20.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 16 May 2020 16:26:52 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib.git
 Homepage: https://bioconductor.org/packages/Rhtslib/
+Rules-Requires-Root: no
 
 Package: r-bioc-rhtslib
 Architecture: any

## r-bioc-rhtslib 1.22.0+dfsg

=== DESCRIPTION ===
Package: Rhtslib
Title: HTSlib high-throughput sequencing library as an R package
Description: This package provides version 1.7 of the 'HTSlib' C
    library for high-throughput sequence analysis. The package is
    primarily useful to developers of other R packages who wish to
    make use of HTSlib. Motivation and instructions for use of this
    package are in the vignette, vignette(package="Rhtslib", "Rhtslib").
biocViews: DataImport, Sequencing
URL: https://bioconductor.org/packages/Rhtslib, http://www.htslib.org/
BugReports: https://github.com/Bioconductor/Rhtslib/issues
Version: 1.22.0
License: LGPL (>= 2)
Copyright: Unless otherwise noted in the file, all files outside
        src/htslib-1.7 and inst/include copyright Bioconductor; for
        files inside src/htslib-1.7 or inst/include, see file
        src/htslib-1.7/LICENSE.
Authors@R: 
    c(person("Nathaniel", "Hayden", email="nhayden@fredhutch.org",
        role=c("led", "aut")),
    person("Martin", "Morgan", email="martin.morgan@roswellpark.org",
        role="aut"),
    person("Bioconductor", "Package Maintainer",
        email="maintainer@bioconductor.org", role="cre"))
Imports: zlibbioc
LinkingTo: zlibbioc
Suggests: BiocStyle, knitr
SystemRequirements: libbz2 & liblzma & libcurl (with header files), GNU
        make
StagedInstall: no
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/Rhtslib
git_branch: RELEASE_3_12
git_last_commit: 899b79f
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-28 02:53:02 UTC; biocbuild
Author: Nathaniel Hayden [led, aut],
  Martin Morgan [aut],
  Bioconductor Package Maintainer [cre]
Maintainer: Bioconductor Package Maintainer <maintainer@bioconductor.org>

=== debian/changelog ===
r-bioc-rhtslib (1.22.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Nov 2020 13:47:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-zlibbioc,

## r-bioc-rhtslib 1.26.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -8,7 +8,7 @@
 biocViews: DataImport, Sequencing
 URL: https://bioconductor.org/packages/Rhtslib, http://www.htslib.org/
 BugReports: https://github.com/Bioconductor/Rhtslib/issues
-Version: 1.22.0
+Version: 1.26.0
 License: LGPL (>= 2)
 Copyright: Unless otherwise noted in the file, all files outside
         src/htslib-1.7 and inst/include copyright Bioconductor; for
@@ -23,18 +23,18 @@
         email="maintainer@bioconductor.org", role="cre"))
 Imports: zlibbioc
 LinkingTo: zlibbioc
-Suggests: BiocStyle, knitr
+Suggests: knitr, rmarkdown, BiocStyle
 SystemRequirements: libbz2 & liblzma & libcurl (with header files), GNU
         make
 StagedInstall: no
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/Rhtslib
-git_branch: RELEASE_3_12
-git_last_commit: 899b79f
-git_last_commit_date: 2020-10-27
-Date/Publication: 2020-10-27
+git_branch: RELEASE_3_14
+git_last_commit: f5b20e9
+git_last_commit_date: 2021-10-26
+Date/Publication: 2021-10-26
 NeedsCompilation: yes
-Packaged: 2020-10-28 02:53:02 UTC; biocbuild
+Packaged: 2021-10-26 22:33:48 UTC; biocbuild
 Author: Nathaniel Hayden [led, aut],
   Martin Morgan [aut],
   Bioconductor Package Maintainer [cre]

=== debian/changelog ===
r-bioc-rhtslib (1.26.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.26.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Wed, 24 Nov 2021 21:24:30 +0530

r-bioc-rhtslib (1.24.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Sep 2021 14:52:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-bioc-zlibbioc,
                libcurl4-openssl-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib.git
 Homepage: https://bioconductor.org/packages/Rhtslib/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_auto_clean:
	dh_auto_clean
	find src -name "*.o" -delete
	find src -name "*.pico" -delete
	rm -f src/*/libhts.a src/*/libhts.so*
	rm -f src/*/version.h

## r-bioc-rhtslib 1.28.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -8,7 +8,7 @@
 biocViews: DataImport, Sequencing
 URL: https://bioconductor.org/packages/Rhtslib, http://www.htslib.org/
 BugReports: https://github.com/Bioconductor/Rhtslib/issues
-Version: 1.26.0
+Version: 1.28.0
 License: LGPL (>= 2)
 Copyright: Unless otherwise noted in the file, all files outside
         src/htslib-1.7 and inst/include copyright Bioconductor; for
@@ -29,12 +29,12 @@
 StagedInstall: no
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/Rhtslib
-git_branch: RELEASE_3_14
-git_last_commit: f5b20e9
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: 214fde2
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 22:33:48 UTC; biocbuild
+Packaged: 2022-04-26 21:50:56 UTC; biocbuild
 Author: Nathaniel Hayden [led, aut],
   Martin Morgan [aut],
   Bioconductor Package Maintainer [cre]

=== debian/changelog ===
r-bioc-rhtslib (1.28.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 13 May 2022 15:05:15 +0200

## r-bioc-rhtslib 2.0.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-bioc-rhtslib
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib.git
+Homepage: https://bioconductor.org/packages/Rhtslib/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-bioc-zlibbioc,
                libcurl4-openssl-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib.git
-Homepage: https://bioconductor.org/packages/Rhtslib/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rhtslib
 Architecture: any

## r-bioc-rhtslib 2.0.0+dfsg

=== src/htslib-1.15.1/Makefile ===
# Makefile for htslib, a C library for high-throughput sequencing data formats.
#
#    Copyright (C) 2013-2022 Genome Research Ltd.
#
#    Author: John Marshall <jm18@sanger.ac.uk>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.

CC     = gcc
AR     = ar
RANLIB = ranlib

# Default libraries to link if configure is not used
htslib_default_libs = -lz -lm -lbz2 -llzma -lcurl

CPPFLAGS =
# TODO: make the 64-bit support for VCF optional via configure, for now add -DVCF_ALLOW_INT64
#       to CFLAGS manually, here or in config.mk if the latter exists.
# TODO: probably update cram code to make it compile cleanly with -Wc++-compat
# For testing strict C99 support add -std=c99 -D_XOPEN_SOURCE=600
#CFLAGS   = -g -Wall -O2 -pedantic -std=c99 -D_XOPEN_SOURCE=600
CFLAGS   = -g -Wall -O2 -fvisibility=hidden
EXTRA_CFLAGS_PIC = -fpic
LDFLAGS  = -fvisibility=hidden
LIBS     = $(htslib_default_libs)

prefix      = /usr/local
exec_prefix = $(prefix)
bindir      = $(exec_prefix)/bin
includedir  = $(prefix)/include
libdir      = $(exec_prefix)/lib
libexecdir  = $(exec_prefix)/libexec
datarootdir = $(prefix)/share
mandir      = $(datarootdir)/man
man1dir     = $(mandir)/man1
man5dir     = $(mandir)/man5
man7dir     = $(mandir)/man7
pkgconfigdir= $(libdir)/pkgconfig

MKDIR_P = mkdir -p
INSTALL = install -p
INSTALL_DATA    = $(INSTALL) -m 644
INSTALL_DIR     = $(MKDIR_P) -m 755
INSTALL_LIB     = $(INSTALL_DATA)
INSTALL_MAN     = $(INSTALL_DATA)
INSTALL_PROGRAM = $(INSTALL)

# Set by config.mk if plugins are enabled
plugindir =

BUILT_PROGRAMS = \
	bgzip \
	htsfile \
	tabix

BUILT_TEST_PROGRAMS = \
	test/hts_endian \
	test/fieldarith \
	test/hfile \
	test/pileup \
	test/pileup_mod \
	test/plugins-dlhts \
	test/sam \
	test/test_bgzf \
	test/test_expr \
	test/test_kfunc \
	test/test_kstring \
	test/test_mod \
	test/test_realn \
	test/test-regidx \
	test/test_str2int \
	test/test_view \
	test/test_index \
	test/test-vcf-api \
	test/test-vcf-sweep \
	test/test-bcf-sr \
	test/fuzz/hts_open_fuzzer.o \
	test/test-bcf-translate \
	test/test-parse-reg \
	test/test_introspection

BUILT_THRASH_PROGRAMS = \
	test/thrash_threads1 \
	test/thrash_threads2 \
	test/thrash_threads3 \
	test/thrash_threads4 \
	test/thrash_threads5 \
	test/thrash_threads6 \
	test/thrash_threads7

all: lib-static lib-shared $(BUILT_PROGRAMS) plugins $(BUILT_TEST_PROGRAMS) \
     htslib_static.mk htslib-uninstalled.pc

ALL_CPPFLAGS = -I. $(CPPFLAGS)

# Usually htscodecs.mk is generated by running configure or config.status,
# but if those aren't used create a default here.
htscodecs.mk:
	echo '# Default htscodecs.mk generated by Makefile' > $@
	echo 'include $$(HTSPREFIX)htscodecs_bundled.mk' >> $@

srcdir = .
srcprefix =
HTSPREFIX =
include htslib_vars.mk
include htscodecs.mk

# If not using GNU make, you need to copy the version number from version.sh
# into here.
PACKAGE_VERSION := $(shell $(srcdir)/version.sh)

LIBHTS_SOVERSION = 3

# Version numbers for the Mac dynamic library.  Note that the leading 3
# is not strictly necessary and should be removed the next time
# LIBHTS_SOVERSION is bumped (see #1144 and
# https://developer.apple.com/library/archive/documentation/DeveloperTools/Conceptual/DynamicLibraries/100-Articles/DynamicLibraryDesignGuidelines.html#//apple_ref/doc/uid/TP40002013-SW23)
MACH_O_COMPATIBILITY_VERSION = 3.1.15
MACH_O_CURRENT_VERSION = 3.1.15

# $(NUMERIC_VERSION) is for items that must have a numeric X.Y.Z string
# even if this is a dirty or untagged Git working tree.
NUMERIC_VERSION := $(shell $(srcdir)/version.sh numeric)

# Force version.h to be remade if $(PACKAGE_VERSION) has changed.
version.h: $(if $(wildcard version.h),$(if $(findstring "$(PACKAGE_VERSION)",$(shell cat version.h)),,force))

version.h:
	echo '#define HTS_VERSION_TEXT "$(PACKAGE_VERSION)"' > $@

print-version:
	@echo $(PACKAGE_VERSION)

show-version:
	@echo PACKAGE_VERSION = $(PACKAGE_VERSION)
	@echo NUMERIC_VERSION = $(NUMERIC_VERSION)

config_vars.h:
	echo '#define HTS_CC "$(CC)"' > $@
	echo '#define HTS_CPPFLAGS "$(CPPFLAGS)"' >> $@
	echo '#define HTS_CFLAGS "$(CFLAGS)"' >> $@
	echo '#define HTS_LDFLAGS "$(LDFLAGS)"' >> $@
	echo '#define HTS_LIBS "$(LIBS)"' >> $@

.SUFFIXES: .bundle .c .cygdll .dll .o .pico .so

.c.o:
	$(CC) $(CFLAGS) $(ALL_CPPFLAGS) -c -o $@ $<

.c.pico:
	$(CC) $(CFLAGS) $(ALL_CPPFLAGS) $(EXTRA_CFLAGS_PIC) -c -o $@ $<


LIBHTS_OBJS = \
	kfunc.o \
	kstring.o \
	bcf_sr_sort.o \
	bgzf.o \
	errmod.o \
	faidx.o \
	header.o \
	hfile.o \
	hts.o \
	hts_expr.o \
	hts_os.o\
	md5.o \
	multipart.o \
	probaln.o \
	realn.o \
	regidx.o \
	region.o \
	sam.o \
	synced_bcf_reader.o \
	vcf_sweep.o \
	tbx.o \
	textutils.o \
	thread_pool.o \
	vcf.o \
	vcfutils.o \
	cram/cram_codecs.o \
	cram/cram_decode.o \
	cram/cram_encode.o \
	cram/cram_external.o \
	cram/cram_index.o \
	cram/cram_io.o \
	cram/cram_stats.o \
	cram/mFILE.o \
	cram/open_trace_file.o \
	cram/pooled_alloc.o \
	cram/string_alloc.o \
	$(HTSCODECS_OBJS) \
	$(NONCONFIGURE_OBJS)

# Without configure we wish to have a rich set of default figures,
# but we still need conditional inclusion as we wish to still
# support ./configure --disable-blah.
NONCONFIGURE_OBJS = hfile_libcurl.o

PLUGIN_EXT  =
PLUGIN_OBJS =

cram_h = cram/cram.h $(cram_samtools_h) $(header_h) $(cram_structs_h) $(cram_io_h) cram/cram_encode.h cram/cram_decode.h cram/cram_stats.h cram/cram_codecs.h cram/cram_index.h $(htslib_cram_h)
cram_io_h = cram/cram_io.h $(cram_misc_h)
cram_misc_h = cram/misc.h
cram_os_h = cram/os.h $(htslib_hts_endian_h)
cram_samtools_h = cram/cram_samtools.h $(htslib_sam_h)
cram_structs_h = cram/cram_structs.h $(htslib_thread_pool_h) $(htslib_cram_h) cram/string_alloc.h cram/mFILE.h $(htslib_khash_h)
cram_open_trace_file_h = cram/open_trace_file.h cram/mFILE.h
bcf_sr_sort_h = bcf_sr_sort.h $(htslib_synced_bcf_reader_h) $(htslib_kbitset_h)
header_h = header.h cram/string_alloc.h cram/pooled_alloc.h $(htslib_khash_h) $(htslib_kstring_h) $(htslib_sam_h)
hfile_internal_h = hfile_internal.h $(htslib_hts_defs_h) $(htslib_hfile_h) $(textutils_internal_h)
hts_internal_h = hts_internal.h $(htslib_hts_h) $(textutils_internal_h)
sam_internal_h = sam_internal.h $(htslib_sam_h)
textutils_internal_h = textutils_internal.h $(htslib_kstring_h)
thread_pool_internal_h = thread_pool_internal.h $(htslib_thread_pool_h)

# To be effective, config.mk needs to appear after most Makefile variables are
# set but before most rules appear, so that it can both use previously-set
# variables in its own rules' prerequisites and also update variables for use
# in later rules' prerequisites.

# If your make doesn't accept -include, change this to 'include' if you are
# using the configure script or just comment the line out if you are not.
-include config.mk

# Usually config.h is generated by running configure or config.status,
# but if those aren't used create a default config.h here.
config.h:
	echo '/* Default config.h generated by Makefile */' > $@
	echo '#ifndef _XOPEN_SOURCE' >> $@
	echo '#define _XOPEN_SOURCE 600' >> $@
	echo '#endif' >> $@
	echo '#define HAVE_LIBBZ2 1' >> $@
	echo '#define HAVE_LIBLZMA 1' >> $@
	echo '#ifndef __APPLE__' >> $@
	echo '#define HAVE_LZMA_H 1' >> $@
	echo '#endif' >> $@
	echo '#define HAVE_DRAND48 1' >> $@
	echo '#define HAVE_LIBCURL 1' >> $@

# And similarly for htslib.pc.tmp ("pkg-config template").  No dependency
# on htslib.pc.in listed, as if that file is newer the usual way to regenerate
# this target is via configure or config.status rather than this rule.
htslib.pc.tmp:
	sed -e '/^static_libs=/s/@static_LIBS@/$(htslib_default_libs)/;s#@[^-][^@]*@##g' $(srcprefix)htslib.pc.in > $@

# Create a makefile fragment listing the libraries and LDFLAGS needed for
# static linking.  This can be included by projects that want to build
# and link against the htslib source tree instead of an installed library.
htslib_static.mk: htslib.pc.tmp
	sed -n '/^static_libs=/s/[^=]*=/HTSLIB_static_LIBS = /p;/^static_ldflags=/s/[^=]*=/HTSLIB_static_LDFLAGS = /p' $< > $@


lib-static: libhts.a

# $(shell), :=, and ifeq/.../endif are GNU Make-specific.  If you don't have
# GNU Make, comment out the parts of these conditionals that don't apply.
ifneq "$(origin PLATFORM)" "file"
PLATFORM := $(shell uname -s)
endif
ifeq "$(PLATFORM)" "Darwin"
SHLIB_FLAVOUR = dylib
lib-shared: libhts.dylib
else ifeq "$(findstring CYGWIN,$(PLATFORM))" "CYGWIN"
SHLIB_FLAVOUR = cygdll
lib-shared: cyghts-$(LIBHTS_SOVERSION).dll
else ifeq "$(findstring MSYS,$(PLATFORM))" "MSYS"
SHLIB_FLAVOUR = dll
lib-shared: hts-$(LIBHTS_SOVERSION).dll hts-$(LIBHTS_SOVERSION).def hts-$(LIBHTS_SOVERSION).lib
else ifeq "$(findstring MINGW,$(PLATFORM))" "MINGW"
SHLIB_FLAVOUR = dll
lib-shared: hts-$(LIBHTS_SOVERSION).dll hts-$(LIBHTS_SOVERSION).def hts-$(LIBHTS_SOVERSION).lib
else
SHLIB_FLAVOUR = so
lib-shared: libhts.so
endif

BUILT_PLUGINS = $(PLUGIN_OBJS:.o=$(PLUGIN_EXT))

plugins: $(BUILT_PLUGINS)


libhts.a: $(LIBHTS_OBJS)
	@-rm -f $@
	$(AR) -rc $@ $(LIBHTS_OBJS)
	-$(RANLIB) $@

print-config:
	@echo LDFLAGS = $(LDFLAGS)
	@echo LIBHTS_OBJS = $(LIBHTS_OBJS)
	@echo LIBS = $(LIBS)
	@echo PLATFORM = $(PLATFORM)

# The target here is libhts.so, as that is the built file that other rules
# depend upon and that is used when -lhts appears in other program's recipes.
# As a byproduct invisible to make, libhts.so.NN is also created, as it is the
# file used at runtime (when $LD_LIBRARY_PATH includes the build directory).

libhts.so: $(LIBHTS_OBJS:.o=.pico)
	$(CC) -shared -Wl,-soname,libhts.so.$(LIBHTS_SOVERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS:.o=.pico) $(LIBS) -lpthread
	ln -sf $@ libhts.so.$(LIBHTS_SOVERSION)

# Similarly this also creates libhts.NN.dylib as a byproduct, so that programs
# when run can find this uninstalled shared library (when $DYLD_LIBRARY_PATH
# includes this project's build directory).

libhts.dylib: $(LIBHTS_OBJS)
	$(CC) -dynamiclib -install_name $(libdir)/libhts.$(LIBHTS_SOVERSION).dylib -current_version $(MACH_O_CURRENT_VERSION) -compatibility_version $(MACH_O_COMPATIBILITY_VERSION) $(LDFLAGS) -o $@ $(LIBHTS_OBJS) $(LIBS)
	ln -sf $@ libhts.$(LIBHTS_SOVERSION).dylib

cyghts-$(LIBHTS_SOVERSION).dll libhts.dll.a: $(LIBHTS_OBJS)
	$(CC) -shared -Wl,--out-implib=libhts.dll.a -Wl,--enable-auto-import $(LDFLAGS) -o $@ -Wl,--whole-archive $(LIBHTS_OBJS) -Wl,--no-whole-archive $(LIBS) -lpthread

hts-$(LIBHTS_SOVERSION).dll hts.dll.a: $(LIBHTS_OBJS)
	$(CC) -shared -Wl,--out-implib=hts.dll.a -Wl,--enable-auto-import -Wl,--exclude-all-symbols $(LDFLAGS) -o $@ -Wl,--whole-archive $(LIBHTS_OBJS) -Wl,--no-whole-archive $(LIBS) -lpthread

hts-$(LIBHTS_SOVERSION).def: hts-$(LIBHTS_SOVERSION).dll
	gendef hts-$(LIBHTS_SOVERSION).dll

hts-$(LIBHTS_SOVERSION).lib: hts-$(LIBHTS_SOVERSION).def
	dlltool -m i386:x86-64 -d hts-$(LIBHTS_SOVERSION).def -l hts-$(LIBHTS_SOVERSION).lib

# Bundling libraries, binaries, dll dependencies, and licenses into a
# single directory.  NB: This is not needed for end-users, but a test bed

=== debian/changelog ===
r-bioc-rhtslib (2.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 20 Nov 2022 17:25:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,3 @@
 	find src -name "*.pico" -delete
 	rm -f src/*/libhts.a src/*/libhts.so*
 	rm -f src/*/version.h
-

## r-bioc-rhtslib 2.2.0+dfsg

=== debian/changelog ===
r-bioc-rhtslib (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reduce piuparts noise in transitions (routine-update)
  * Add debian/tests/autopkgtest-pkg-r.conf

 -- Andreas Tille <tille@debian.org>  Thu, 20 Jul 2023 23:23:55 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib.git
 Homepage: https://bioconductor.org/packages/Rhtslib/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-bioc-rhtslib 2.4.1+dfsg

=== DESCRIPTION ===
Package: Rhtslib
Title: HTSlib high-throughput sequencing library as an R package
Description: This package provides version 1.15.1 of the 'HTSlib' C
	library for high-throughput sequence analysis. The package is
	primarily useful to developers of other R packages who wish to
	make use of HTSlib. Motivation and instructions for use of this
	package are in the vignette, vignette(package="Rhtslib", "Rhtslib").
biocViews: DataImport, Sequencing
URL: https://bioconductor.org/packages/Rhtslib, http://www.htslib.org/
BugReports: https://github.com/Bioconductor/Rhtslib/issues
Version: 2.4.1
License: LGPL (>= 2)
Copyright: Unless otherwise noted in the file, all files outside
        src/htslib-1.15.1 or inst/include copyright Bioconductor; for
        files inside src/htslib-1.15.1 or inst/include, see file
        src/htslib-1.15.1/LICENSE.
Encoding: UTF-8
Authors@R: c(
	person("Nathaniel", "Hayden", role=c("led", "aut"),
		email="nhayden@fredhutch.org"),
	person("Martin", "Morgan", role="aut",
		email="martin.morgan@roswellpark.org"),
	person("Hervé", "Pagès", role=c("aut", "cre"),
		email="hpages.on.github@gmail.com"),
	person("Jeroen", "Ooms", role="ctb"))
Imports: zlibbioc
LinkingTo: zlibbioc
Suggests: knitr, rmarkdown, BiocStyle
SystemRequirements: libbz2 & liblzma & libcurl (with header files), GNU
        make
StagedInstall: no
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/Rhtslib
git_branch: RELEASE_3_18
git_last_commit: 33bf5d1
git_last_commit_date: 2024-01-18
Repository: Bioconductor 3.18
Date/Publication: 2024-01-18
NeedsCompilation: yes
Packaged: 2024-01-18 23:52:17 UTC; biocbuild
Author: Nathaniel Hayden [led, aut],
  Martin Morgan [aut],
  Hervé Pagès [aut, cre],
  Jeroen Ooms [ctb]
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>

=== debian/changelog ===
r-bioc-rhtslib (2.4.1+dfsg-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:35:19 +1100

r-bioc-rhtslib (2.4.1+dfsg-3build1) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:57:31 +0000

r-bioc-rhtslib (2.4.1+dfsg-3) unstable; urgency=medium

  * Build-Depends: architecture-is-64-bit
    and revert to Architecture: any since this is the more elegant way
    to exclude 32bit (thanks for the hint to Paul Gevers)

 -- Andreas Tille <tille@debian.org>  Mon, 04 Mar 2024 08:22:57 +0100

r-bioc-rhtslib (2.4.1+dfsg-2) unstable; urgency=medium

  * Restrict architectures to 64bit to avoid time_t transition
    Closes: #1063275

 -- Andreas Tille <tille@debian.org>  Wed, 07 Feb 2024 07:58:13 +0100

r-bioc-rhtslib (2.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2024 17:00:53 +0100

r-bioc-rhtslib (2.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Nov 2023 02:16:05 +0000

r-bioc-rhtslib (2.2.0+dfsg-2) unstable; urgency=medium

  * Fix clean target
    Closes: #1047493
  * Fix copyright

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2023 09:55:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: r-bioc-rhtslib
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Andreas Tille <tille@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               r-bioc-zlibbioc,
+               libcurl4-openssl-dev
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib.git
 Homepage: https://bioconductor.org/packages/Rhtslib/
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-bioc-zlibbioc,
-               libcurl4-openssl-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-rhtslib
 Architecture: any

## r-bioc-rhtslib 3.0.0+dfsg

=== debian/changelog ===
r-bioc-rhtslib (3.0.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 16:37:29 +0200

r-bioc-rhtslib (3.0.0+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jul 2024 12:44:58 +0200

r-bioc-rhtslib (3.0.0+dfsg-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 21:30:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: r-bioc-rhtslib
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
@@ -9,7 +8,7 @@
                dh-r,
                r-base-dev,
                architecture-is-64-bit,
-               r-bioc-zlibbioc,
+               r-bioc-zlibbioc (>= 1.50.0),
                libcurl4-openssl-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-rhtslib
@@ -21,9 +20,11 @@
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-zlibbioc (>= 1.50.0),
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: HTSlib high-throughput sequencing library as GNU R package
  This package provides version 1.7 of the 'HTSlib' C
  library for high-throughput sequence analysis. The package is
